package com.yeejoin.amos.boot.module.tzs.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.tzs.api.dto.ESEquipmentCategoryDto;
import com.yeejoin.amos.boot.module.tzs.api.dto.EquInfoDto;
import com.yeejoin.amos.boot.module.tzs.api.entity.CategoryOtherInfo;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 装备分类 Mapper 接口
 *
 * @author system_generator
 * @date 2021-10-20
 */
public interface CategoryOtherInfoMapper extends BaseMapper<CategoryOtherInfo> {

    int updateSupervisorCode(String supervisorCode, String code,@Param("record") String record);

    CategoryOtherInfo selectSupervisorCode(@Param("supervisorCode") String supervisorCode);

    CategoryOtherInfo selectElevatorCode(@Param("elevatorCode") String elevatorCode,String status);

    EquInfoDto selectEquipInfo(String record);

    int updateCode(String supervisorCode, String equState);

    int updateOtherInfo(String supervisorCode, String editStatus);

    Map<String, Object> selectDataById(String id);
}
